Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.math.ec.custom.sec
Class SecT233Field

    java.lang.Object
      org.bouncycastle.math.ec.custom.sec.SecT233Field

public class SecT233Field
extends java.lang.Object

Constructor Summary
`SecT233Field()`

Method Summary
`static void` | `add(long[] x, long[] y, long[] z)`
`static void` | `addExt(long[] xx, long[] yy, long[] zz)`
`static void` | `addOne(long[] x, long[] z)`
`static long[]` | `fromBigInteger(java.math.BigInteger x)`
`static void` | `halfTrace(long[] x, long[] z)`
`protected static void` | `implCompactExt(long[] zz)`
`protected static void` | `implExpand(long[] x, long[] z)`
`protected static void` | `implMultiply(long[] x, long[] y, long[] zz)`
`protected static void` | `implMulwAcc(long[] u, long x, long y, long[] z, int zOff)`
`protected static void` | `implSquare(long[] x, long[] zz)`
`static void` | `invert(long[] x, long[] z)`
`static void` | `multiply(long[] x, long[] y, long[] z)`
`static void` | `multiplyAddToExt(long[] x, long[] y, long[] zz)`
`static void` | `reduce(long[] xx, long[] z)`
`static void` | `reduce23(long[] z, int zOff)`
`static void` | `sqrt(long[] x, long[] z)`
`static void` | `square(long[] x, long[] z)`
`static void` | `squareAddToExt(long[] x, long[] zz)`
`static void` | `squareN(long[] x, int n, long[] z)`
`static int` | `trace(long[] x)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecT233Field

    public SecT233Field()

Method Detail

### add

    public static void add(long[] x,
                           long[] y,
                           long[] z)

### addExt

    public static void addExt(long[] xx,
                              long[] yy,
                              long[] zz)

### addOne

    public static void addOne(long[] x,
                              long[] z)

### fromBigInteger

    public static long[] fromBigInteger(java.math.BigInteger x)

### halfTrace

    public static void halfTrace(long[] x,
                                 long[] z)

### invert

    public static void invert(long[] x,
                              long[] z)

### multiply

    public static void multiply(long[] x,
                                long[] y,
                                long[] z)

### multiplyAddToExt

    public static void multiplyAddToExt(long[] x,
                                        long[] y,
                                        long[] zz)

### reduce

    public static void reduce(long[] xx,
                              long[] z)

### reduce23

    public static void reduce23(long[] z,
                                int zOff)

### sqrt

    public static void sqrt(long[] x,
                            long[] z)

### square

    public static void square(long[] x,
                              long[] z)

### squareAddToExt

    public static void squareAddToExt(long[] x,
                                      long[] zz)

### squareN

    public static void squareN(long[] x,
                               int n,
                               long[] z)

### trace

    public static int trace(long[] x)

### implCompactExt

    protected static void implCompactExt(long[] zz)

### implExpand

    protected static void implExpand(long[] x,
                                     long[] z)

### implMultiply

    protected static void implMultiply(long[] x,
                                       long[] y,
                                       long[] zz)

### implMulwAcc

    protected static void implMulwAcc(long[] u,
                                      long x,
                                      long y,
                                      long[] z,
                                      int zOff)

### implSquare

    protected static void implSquare(long[] x,
                                     long[] zz)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD